package com.ice.structure.Decorator;

/**
 * @author ice
 * @blog https://blog.csdn.net/dreaming_coder
 * @description
 * @create 2021-10-29 19:45:41
 */
public abstract class TransportLayer implements Datagram{
    protected Datagram appData;

    public TransportLayer(Datagram appData) {
        this.appData = appData;
    }

    public void send() {
        appData.send();
    }
}
